VARKON Version 1.17 1999-06-13

### xvarkon

Executable file

Description

X-windows version of VARKON for UNIX. xvarkon can also be configured to drive older type serial terminals or emulators with tektronix/VT300 based graphics.

The -b option can be used to run Varkon in batch mode. In batch mode the name of a project as well as a job must be specified on the commandline. Varkon loads the job, runs it silently and exits automatically. Error messages etc. are written to a file named jobname.LOG in the active jobdirectory.

Syntax

xvarkon project_name job_name -r -v -x -DRAWING -GEOMETRY -LOCAL -GLOBAL
-BASIC -global_ref -pmnbytes -rtsnbytes -gmnpages -iresourcefile -dnl -xrmres

Options preceded by a minus sign should be followed by their value without any separating blank spaces.

Options

project_name

- Name of project

job_name

- Name of job

-r

- Start in drafting mode instead of the normal mode

-v

- Report current version information and exit. No X11 required for this.

-x

- Execute active module at startup if RES-file is missing

-b

- Run VARKON in batch mode, implies -x

-DRAWING

- Use DRAWING type for new modules

-GEOMETRY

- Use GEOMETRY type for new modules

-LOCAL

- Use the LOCAL attribute for new modules

-GLOBAL

- Use the GLOBAL attribute for new modules

-BASIC

- Use the BASIC attribute for new modules

-global_ref

- Generate global references in part calls

-pmnbytes

- Set size of PM to nbytes

-rtsnbytes

- Set size of RTS to nbytes

-gmnpages

- Set size of GM buffer to npages

-iresourcefile

- Include resources from resourcefile(s) at start up

-dnl

- Turn debug on for name = n with level = l if available

-xrmres

- Merge res with the resource database

Examples

xvarkon

Starts with default values for all options. The system will promt for project and job name.

xvarkon buildings

Starts with default values for all options except the name of the project. The system will not promt for project name but will ask for the name of the job.

xvarkon bearings ball_539 -gm1000

Starts a job named ball_539 in project bearings. The memory buffer for GM is set to 1000 pages. Default values will be used for all other options.

xvarkon -icommon_toolbar -imy_toolbar

Forces VARKON to read resources from "common_toolbar"and "my_toolbar". If the same resourcename is defined in both files the resource value from the second file owerwrites the value from the first file.

xvarkon -r

Starts the system in explicit (non generic) drafting mode.

Comments

On startup xvarkon always checks for the existence of resource files in the following places:

1: /usr/lib/X11/app-defaults/Varkon
2: $XENVIRONMENT/.Xdefaults
3: $HOME/.Xdefaults

Any resources found in any of these places are loaded automatically. Next step is to load any resources explicitly defined on the command line using the -xrm option:

4: -xrmres

Finally you may specify one or two additional resourcefiles on the commandline using the -i option:

5: -ifile1
6: -ifile2

The same resource may be defined in more than one of these places but only the latest value merged is left in the database. A value defined in file2 will rule out a value defined in file1 or earlier. Note that this beahviour is different from VARKON95 for Windows95/NT.

xvarkon needs the following shell environment parameters to be set up in order to function properly. If not defined default values below are used instead.

VARKON_ERM Error message files Default = /usr/v3/erm
VARKON_DOC Help files Default = /usr/v3/doc
VARKON_PID Project files Default = /usr/v3/pid
VARKON_MDF Menu files Default = /usr/v3/mdf
VARKON_LIB The VARKON library Default = /usr/v3/lib
VARKON_TMP Temporary files Default = /usr/v3/tmp
VARKON_PRD Default project directory Default = /usr/v3/prd
VARKON_FNT Fonts for graphical text Default = /usr/v3/cnf/fnt
VARKON_TOL Tolerance files Default = /usr/v3/cnf/tol
VARKON_PLT Plotter configuration files Default = /usr/v3/cnf/plt
VARKON_ICO Bitmaps for toolbar icons Default = /usr/v3/cnf/ico

xvarkon also relies on the value of the $PATH variable to spawn the MBS-compiler mbsc or drivers for various plotter devices. $PATH is usually modified in VARKON's startscript to include $VARKON_ROOT/bin where the VARKON executable files are located.

VARKON Homepage | Index